package es.uv.saic.service;

import java.util.List;
import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uv.saic.domain.Informe;
import es.uv.saic.domain.InformeRepository;

@Service
public class InformeService {
	
	@Autowired
	private InformeRepository informeRepository;
	
	public List<Informe> findByGrupWeb(String grupWeb) {
		return this.informeRepository.findByGrupWeb(grupWeb);
	}
	
	public List<Informe> findByGrupWebTambit(String grupWeb, String tambit) {
		return this.informeRepository.findByGrupWebTambit(grupWeb, tambit);
	}
	
	public Informe findById(Integer idInforme) {
		Optional<Informe> i = this.informeRepository.findById(idInforme);
		if(i.isEmpty()) {
			return null;
		}
		return i.get();
	}

}
